Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## main
Class BackupScheduleModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          main.BackupScheduleModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class BackupScheduleModel

extends javax.swing.table.AbstractTableModel

This class is used to present information about scheduled actions of application to user by table. Backup schedule is loaded from class responsible for parsing schedule configuration.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`BackupScheduleModel()` Constructor loads information about schedule from class managing schedule configuration.

Method Summary
`int` | `getColumnCount()` Table consists of fixed number of collumns that does not change with data.
`java.lang.String` | `getColumnName(int index)` Returns names of collumns in table.
`int` | `getRowCount()` Returns number of rows in table representing currently loaded scheduler.
`java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)` Returns value of cell in table at given coordinates.

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableDataChanged, fireTableChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackupScheduleModel

    public BackupScheduleModel()

  Constructor loads information about schedule from class managing schedule configuration. This infromation does not update when configuration is changed by manager. Manager of that configuration is singleton.

  See Also:
    `ScheduleConfigManager`

Method Detail

### getRowCount

    public int getRowCount()

  Returns number of rows in table representing currently loaded scheduler.

  Returns:
    number of rows in table

### getColumnCount

    public int getColumnCount()

  Table consists of fixed number of collumns that does not change with data. This method allways returns same value.

  Returns:
    number of collums, 3 as for now

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int columnIndex)

  Returns value of cell in table at given coordinates. This value is taken from currently loaded schedule. Rows of table present different actions while collumns contain names distinguishing different actions, time of their execution and parameters passed to them.

  Parameters:
    `rowIndex` - row of table
    `columnIndex` - collumn of table
  Returns:
    object value of property presented by cell of table

### getColumnName

    public java.lang.String getColumnName(int index)

  Returns names of collumns in table.

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`
  Parameters:
    `index` - number of collumn
  Returns:
    String name of collumn

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD